﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class asteroidcollide : MonoBehaviour {

	public Slider healthbar;
	public GameObject explosion;
	public GameObject explosionDeath;
	public AudioSource bonusSound;
	public AudioSource explodeSound;
	public AudioSource bigExplode;
	public GameObject shipMesh;
	

	void OnCollisionEnter(Collision collision)
	{
		
		if(collision.gameObject.tag == "bad")
		{
			healthbar.value -= 20;

			ContactPoint contact = collision.contacts[0];
			GameObject ex = (GameObject) Instantiate(explosion, contact.point, this.transform.rotation);
			Destroy(ex,2);
			explodeSound.Play();
		}
		else if(collision.gameObject.tag == "good")
		{
			healthbar.value += 10;
			if(healthbar.value > 100)
			{
				healthbar.value = 100;
			}
			bonusSound.Play();
		}

		if(healthbar.value <= 0)
		{
			GameObject ex2 = (GameObject) Instantiate(explosionDeath, this.transform.position, this.transform.rotation);
			Destroy(ex2,4);
			bigExplode.Play();
			Destroy(shipMesh);
			Destroy(this.gameObject,2);
		}

	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
